function  sample04()
fprintf('--------------- sample04\n')
fprintf('3D meshing: mesh and partitioned mesh\n')
fprintf('---------------\n')
geofile='cylinderkey';np=5;
fprintf('1. Building a mesh file by using :\n')
fprintf('   -> gmsh version %s\n',gmsh.version())
fprintf('   -> geo file : %s\n',geofile);
meshfile=gmsh.buildmesh3d(geofile,5,'verbose',1,'force',true);
fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
fprintf('2. Reading mesh file\n')
Gh=ooGmsh(meshfile)
fprintf('3. Building partitioned mesh file\n')
fprintf('   -> number of partitions : %d\n',np);
pmfile=gmsh.buildpartmesh(meshfile,np,'verbose',2,'force',true);
fprintf('   -> partitioned msh file : %s\n',fc_oogmsh.pathrep(pmfile));
fprintf('4. Reading the partitioned mesh file\n')
pGh=ooGmsh(pmfile)